import 'package:at_client/at_client.dart';
import 'package:at_persistence_secondary_server/at_persistence_secondary_server.dart';

import 'test_util.dart';

void main() async {
  bool? doesExistInLocal = false;
  var doesExistInRemote = false;
  var currentAtSign = '@sitaram';
  String key = '@murali:key2.wavi@sitaram';
  var atClientManager = await AtClientManager.getInstance().setCurrentAtSign(
      currentAtSign, 'wavi', TestUtil.getSitaramWaviPreference());
  var secondaryPersistentStoreFactory =
      SecondaryPersistenceStoreFactory.getInstance()
          .getSecondaryPersistenceStore(currentAtSign);
  doesExistInLocal =
      secondaryPersistentStoreFactory?.getSecondaryKeyStore()?.isKeyExists(key);
  print(doesExistInLocal);
  var value = await atClientManager.atClient
      .getRemoteSecondary()
      ?.executeCommand('llookup:$key\n', auth: true);
  if (value.isNotNull && value != 'data:null') {
    doesExistInRemote = true;
  }
  print(getKeyStatus(doesExistInLocal!, doesExistInRemote));
}

getKeyStatus(bool doesExistInLocal, bool doesExistInRemote) {
  if (doesExistInRemote && doesExistInLocal) {
    return KeyStatus.ExistInLocalAndRemote;
  }
  if (doesExistInLocal && doesExistInRemote == false) {
    return KeyStatus.ExistOnlyInLocal;
  }
  if (doesExistInRemote && doesExistInLocal == false) {
    return KeyStatus.ExistOnlyInRemote;
  }
  return KeyStatus.DoesNotExist;
}

enum KeyStatus {
  ExistOnlyInLocal,
  ExistOnlyInRemote,
  ExistInLocalAndRemote,
  DoesNotExist
}
