import 'package:at_client/at_client.dart';
import 'package:at_utils/at_utils.dart';
import '../test_util.dart';

void main() async {
  try {
    final aliceAtSign = '@murali';
    final atClientManager = await AtClientManager.getInstance()
        .setCurrentAtSign(aliceAtSign, '.wavi', TestUtil.getMuraliPreference());

    // alice - listen for notification
    atClientManager.notificationService
        .subscribe(shouldDecrypt: true)
        .listen((notification) {
      _notificationCallback(notification);
    });
    await Future.delayed(Duration(minutes: 10));
  } on AtException catch (e) {
    print(e.getTraceMessage());
  }

  print('end of test');
}

void _notificationCallback(AtNotification notification) {
  print('alice notification received: ${notification.toString()}');
}
